# Celestia (TIA)

## Validators

{% tabs %}
{% tab title="Mainnet" %}

<table><thead><tr><th width="121" align="center">Name</th><th align="center">Address</th></tr></thead><tbody><tr><td align="center">Kiln </td><td align="center"><a href="https://www.mintscan.io/celestia/validators/celestiavaloper1uxlf7mvr8nep3gm7udf2u9remms2jyjqa02qlj">celestiavaloper1uxlf7mvr8nep3gm7udf2u9remms2jyjqa02qlj</a></td></tr><tr><td align="center">Kiln (legacy) </td><td align="center"><a href="https://celestia.explorers.guru/validator/celestiavaloper1djqecw6nn5tydxq0shan7srv8j65clsfmnxcfu">celestiavaloper1djqecw6nn5tydxq0shan7srv8j65clsfmnxcfu</a></td></tr></tbody></table>

{% endtab %}
{% endtabs %}

## Overview

| Metrics                           | Value                                                                                                                                                                                                                                                                                                                                                                                                                           |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Stake activation time**         | Instant                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Auto-compounding**              | No. AuthZ restake module disabled in v5. Likely to be reenabled with future update.                                                                                                                                                                                                                                                                                                                                             |
| **Unbonding time**                | 21 days                                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Re-delegating activation time** | Redelegation is instant, but creates a cooldown. After moving stake from a source validator to a destination validator, you can’t redelegate from this source or target validator until the chain’s unbonding period ends.                                                                                                                                                                                                      |
| **Rewards frequency**             | Rewards are distributed block-by-block                                                                                                                                                                                                                                                                                                                                                                                          |
| **Active set**                    | Top 100 by voting power                                                                                                                                                                                                                                                                                                                                                                                                         |
| **Slashing**                      | <p>Yes, the specifics about slashing are discussed <a href="https://youtu.be/yXukd-eyzWc?feature=shared&#x26;t=4369">here</a>, focusing on enforcing penalties on validators who attest to or produce invalid blocks. <br><br>The data availability sampling is used as a mechanism of the light clients to enforce the slashing of the committee of the validators.<br><br>2-5% of stake can be slashed for double signing</p> |

## Staking workflow

<table data-header-hidden><thead><tr><th width="348">Parameter</th><th>Value</th></tr></thead><tbody><tr><td><strong>How does staking work?</strong></td><td>On Cosmos chains such as Celestia, token holders choose a validator to delegate a select amount of tokens to. The delegator initiates a delegation transaction, which involves locking their tokens in a smart contract. These tokens are then counted towards the validator's total stake.</td></tr><tr><td><strong>What is the staking process?</strong></td><td>After the delegation has been initiated, TIAs are changed to validator shares of the validator you delegate to.</td></tr><tr><td><strong>Do funds move out to another wallet?</strong></td><td>Staked TIAs are not part of the balance anymore, but they don’t go to another address.</td></tr><tr><td><strong>Can I keep staking/unstaking from/to the same wallet?</strong> </td><td>Yes, you can increase the staked amount or unstake part of it at anytime.</td></tr><tr><td><strong>Can I select how much of my wallet balance I want to stake?</strong></td><td>Yes, you select the amount of tokens you want to stake to earn rewards.</td></tr><tr><td><strong>How does auto-compounding work?</strong></td><td>In the Cosmos ecosystem, auto-compounding is possible through a module called <a href="https://docs.cosmos.network/v0.46/modules/authz/">Authz</a>, that allows granting arbitrary privileges from one account (the granter) to another account (the grantee). <br><br>Through Authz, delegators could grant Kiln's wallet to claim rewards and stake them back to the Kiln Validator. This grant can be revoked at any time.</td></tr><tr><td><strong>How do I unstake?</strong></td><td><p>You can unstake by unbonding your funds. After you initiated the process:<br></p><p>• You stop receiving staking rewards</p><p>• It will take 21 days for the amount to be liquid</p><p>• But you will be able to cancel the unbonding process anytime, as this chain currently supports the function</p></td></tr><tr><td><strong>Can I unstake part of the staked balance?</strong></td><td>Yes, you can select the amount of tokens you want to unstake (this takes 21 days).</td></tr><tr><td><strong>How is my balance computed at epoch N for the rewards distribution?</strong></td><td>The balance computed at block N for the rewards distribution is the balance at block N.</td></tr><tr><td><strong>What is the slashing risk on Celestia?</strong></td><td>Downtime: During a block window (5,OOO blocks) if a validator signed less than 75% of the blocks, he will get jailed for 1 min but will not incur a slashing penalty. No rewards can be earned during that jail time.<br><br>Double signing: When a validator attests to two different blocks, it will face slashing. Stakers who have delegated to the slashed validator will incur a slashing penalty of 2% and the validator won't ever be able to earn rewards again.<br><br>Delegators will have to redelegate to another validator in order for their stake to earn rewards again.</td></tr><tr><td><strong>How is commission paid?</strong></td><td>Commissions are paid to the validator at the same frequency than the reward distribution (every block).</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/validators/protocols/celestia-tia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
